# Packmangroup: Multimedia
# Packmanpackagename: vcdimager
# Packman : Manfred Tremmel
# Packmandepends: libcdio
# Packmanpackagedesc: <p>GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CD's and Super Video CD's.</p>
# Packmanpackagedesc_de: <p>GNU VCDImager ist eine vollwertige Suite zum erstellen, mastern, entpacken und analysieren von Video CDs und Super Video CDs.</p>

#
# spec file for package vcdimager (Version 0.7.20)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libxml2 libxml2-devel popt
# usedforbuild    aaa_base aaa_version acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool libxml2 libxml2-devel perl popt popt-devel rpm zlib

Name:           vcdimager
# Packmandepends: libvcd libcdio
Summary:        (Super)Video CD image mastering and ripping tool
Summary(de):    (Super)Video CD Image Erstellungs- und Ripp-Tool
License:        GPL
%if "%{_vendor}" == "suse"
Group:          Productivity/Multimedia/CD/Record
%else
Group:          Application/Multimedia
%endif
URL:            http://www.vcdimager.org/
Version:        0.7.20
Release:        0.pm.4

Source0:        vcdimager-0.7.20.tar.bz2

Patch0:         vcdimager-pkgconfig.diff
Patch1:         vcdimager-compilefix.diff
Patch2:         vcdimager-libcdio.diff
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE Linux 9.2 (i586)
Autoreqprov:    on
Requires:       libxml2 >= 2.3.8
Requires:       libcdio >= 0.71
Requires:       libvcd
BuildPrereq:    libxml2-devel >= 2.3.8
BuildPrereq:    popt >= 1.6
BuildPrereq:    libcdio-devel >= 0.71
BuildPrereq:    texinfo
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU VCDImager is a full-featured mastering suite for authoring,
disassembling and analyzing Video CD's and Super Video CD's.

The core functionality consists of directly making Video CD
BIN/CUE-style CD images from mpeg files, which (after being written to
CDR(W) media) can be played on standalone VCD players or DVD players
and on computers running GNU/Linux, MacOS, Win32 or any other OS
capable of accessing VCD's. BIN/CUE images can be burned with [cdrdao]
(please use a recent version, since older ones do not support
BIN/CUE-style cuesheets) under GNU/Linux (and other supported
platforms by cdrdao, e.g. freeBSD, Irix, Solaris and even win32)

vcd-info    display (selectively) the contents of a Video CD or CD image
vcdimager   generates simple pbc-less VCD and SVCD disc images directly
vcdxgen     XML VCD-description generator
vcdxbuild   Builds a VCD/SVCD according to a supplied XML control file.
vcdxrip     Reverses the process for a given VCD or SVCD disc.
vcdxminfo   Debugging tool for displaying MPEG stream properties.
cdxa2mpeg   Simple tool for converting RIFF CDXA file to plain mpeg.

Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%description -l de
GNU VCDImager ist eine vollwertige Suite zum erstellen, mastern,
entpacken und analysieren von Video CDs und Super Video CDs.

Die Basisfunktion ist die direkte Erstellung von Video CD BIN/CUE
CD Image-Dateien aus MPEG-Dateien, welche sich (nachdem sie auf
CDR(W) gebrannt wurden) von VCD oder DVD Abspielgeräten und Computern
mit GNU/Linux, MacOS, Win32 oder irgendeinem anderen OS, welche in
der Lage sind, VCDs abzusielen, abgespielt werden können. BIN/CUE
Image-Dateien können von [cdrdao] (bitte nutzen Sie aktuelle Versionen,
ältere unterstützen keine BIN/CUE artigen cuesheets) unter GNU/Linux
(und anderen von cdrdao unterstützten Plattform, wie z.B. freeBSD,
Irix, Solaris und auch Win32) gebrannt werden.

vcd-info    Zeigt (selektiv) den Inhalt einer Video-CD oder eines CD-Images
vcdimager   generiert direkt einfache pbc-lose VCD oder SVCD Image-Dateien
vcdxgen     XML VCD-Beschreibungsgenerator
vcdxbuild   Erstellt eine VCD/SVCD entsprechend einer XML-Kontrollfile Vorgabe.
vcdxrip     Kehrt dem Prozess um und erstellt eine MPEG-Datei aus eine VCD/SVCD.
vcdxminfo   Debuggingtool zur Anzeige von MPEG Eigenschaften.
cdxa2mpeg   Einfaches tool zur Konvertierung von RIFF CDXA Dateien in MPEG.

Autor:
------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libvcd
Summary:        (Super)Video CD image mastering and ripping tool - Libraries
Summary(de):    (Super)Video CD Image Erstellungs- und Ripp-Tool - Bibliotheken
Group: Development/Libraries
Requires:       libcdio >= 0.66
BuildRequires:  libcdio-devel >= 0.66
# Packmandepends: libcdio

%description -n libvcd
Libraries for vcdimager

%description -n libvcd -l de
Bibliotheken für vcdimager

%package -n libvcd-devel
Summary:        (Super)Video CD image mastering and ripping tool - development package
Summary(de):    (Super)Video CD Image Erstellungs- und Ripp-Tool - Entwicklerpaket
Group: Development/Libraries
Requires: libvcd = %{version}-%{release}
# Packmandepends: libvcd

%description -n libvcd-devel
Development files for vcdimager

%description -n libvcd-devel -l de
Entwicklderdateien für vcdimager

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1
%patch2

%build
%configure
make all
#make -C docs/ vcdimager.ps.gz vcddump.ps.gz

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING FAQ INSTALL NEWS README THANKS TODO frontends/xml/videocd.dtd
%{_bindir}/*
%doc %{_infodir}/vcd*
%doc %{_mandir}/man1/*

%files -n libvcd
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n libvcd-devel
%defattr(-, root, root)
%{_includedir}/libvcd
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc

%changelog -n vcdimager
* Sun Nov 21 2004  - Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added a patch to make it usable with libcdio 0.71
* Sun Feb 15 2004  - Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some little changes, update to 0.7.20
* Mon Aug 04 2003  - Manfred.Tremmel@iiv.de
- update -> 0.7.17-cdio (a prerelease)
* Sat Jun 21 2003  - Manfred.Tremmel@iiv.de
- update -> 0.7.16-cdio (a prerelease)
* Thu May 29 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added Ralf's changes into my specfile-template and rebuild for SuSE
- some more little changes (dependencies and so on)
* Wed May 28 2003 - Ralf Corsepius <ralf@links2linux.de>
- RedHat 9
- Split package into libvcd, libvcd-devel, vcdimager
* Mon Mar 17 2003  - Manfred.Tremmel@iiv.de
- update -> 0.7.15-cdio (a prerelease)
* Mon Mar 17 2003  - Manfred.Tremmel@iiv.de
- update -> 0.7.14
* Sun Mar 02 2003 - Manfred.Tremmel@iiv.de
- update -> 0.7.13
* Sat Feb 22 2003 - Manfred.Tremmel@iiv.de
- update -> 0.7.12
* Wed Apr 24 2002 - uli@suse.de
- added suse_update_config call (fixes x86-64)
* Thu Feb 14 2002 - uli@suse.de
- added cdxa2mpeg from contrib (mentioned in docs, bug #13252)
* Wed Dec 05 2001 - uli@suse.de
- update -> 0.7.11
  * improved linux cdrom support by adding support for the generic packet
  cdrom interface
  * fixed libxml2 external entity loader
  * fixed minor subheader bug
  * be more tolerant when vcdxrip'ing faulty PBCs
  * new "leadout pregap" option
  * added 3 "-no*" options to vcdxrip
* Thu Aug 30 2001 - uli@suse.de
- update -> 0.7.10
  * vcdxrip: new option for ignoring (faulty) extended pbc's
  * gui mode added to vcdxbuild, vcdxminfo and vcdxrip
  * progress display added to vcdxbuild and vcdxminfo
  * rewrite/improvement of MPEG scanning code (detect audio parameters)
  * new option "svcd vcd30 tracksvd"
  * implemented setting of <publisher-id>
* Thu Aug 02 2001 - uli@suse.de
- update -> 0.7.9
- fixed for IA64
* Thu Jul 12 2001 - uli@suse.de
- initial package
